%define version 2.1.2
%define release 5mdk
%define name    mod_auth_external
%define sysconfdir /etc
%define apachebase %{sysconfdir}/httpd


Summary: Apache authentication using external program
Name: %{name}
Version: %{version}
Release: %{release}
Group: System/Servers
Copyright: Apache License
Source0: mod_auth_external-%{version}.tar.bz2
Source1: mod_auth_external.conf
Source2: pwauth.pam
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/
URL: http://www.wwnet.net/~janc/mod_auth_external.html
Patch0: mod_auth_extern-pam.patch
Patch1: mod_auth_extern-config.patch
Prefix: %{_prefix}
Requires: apache

%description
Apache external authentication module - uses PAM.

%prep
%setup -q
%patch0
%patch1

%build
/usr/sbin/apxs -c mod_auth_external.c
cd pwauth
make LIB="-lpam -ldl  -DEAPI"

%install
mkdir -p ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/apache
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d
mkdir -p ${RPM_BUILD_ROOT}%{apachebase}/conf/addon-modules

install -s mod_auth_external.so ${RPM_BUILD_ROOT}/usr/lib/apache
install -s pwauth/pwauth ${RPM_BUILD_ROOT}/usr/lib/apache
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{apachebase}/conf/addon-modules

# for PAM Auth
install -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/pwauth

# Doc
cp pwauth/README README.pwauth


%post
if [ -e  %{apachebase}/conf/httpd.conf ]; then
echo "Include conf/addon-modules/mod_auth_external.conf" >> %{apachebase}/conf/httpd.conf
/usr/sbin/AESctl update; fi

%postun
if [ `uname` = "Linux" ]; then perl="%{_bindir}/perl"; fi
if [ `uname` = "SunOS" ]; then perl="/usr/local/bin/perl"; fi

if [ -e  %{apachebase}/conf/httpd.conf ]; then
$perl -pi -e "s|Include conf/addon-modules/mod_auth_external.conf\n||g;" \
    %{apachebase}/conf/httpd.conf
/usr/sbin/AESctl update; fi


%files
%defattr(-,root,root)
%attr(04550,root,apache) /usr/lib/apache/pwauth
%attr(0555,root,root) /usr/lib/apache/mod_auth_external.so
%attr(0644,root,root) %config(noreplace)  /etc/pam.d/pwauth
%config(noreplace) %{apachebase}/conf/addon-modules/mod_auth_external.conf
%doc README.pwauth README INSTALL* CHANGES TODO 

%changelog
* Wed Dec 20 2000 Philippe Libat <philippe@mandrakesoft.com> 2.1.2-5mdk
- Linux-Mandrake adaptations

* Sat Jun 10 2000 Charlie Brady <charlieb@e-smith.net>
- Make sure that "www" group exists before installing.

* Wed May 31 2000 Charlie Brady <charlieb@e-smith.net>
- Fix permissions/ownership - don't want build time group, want install time.

